import { Component, OnInit } from '@angular/core';
import { Router, NavigationStart } from '@angular/router';

import { AuthorisationService } from '../authorisation.service';
import { catchError } from 'rxjs/operators';
import { of } from 'rxjs';
import { OAuthService } from  'angular-oauth2-oidc';

@Component({
  selector: 'app-logout',
  templateUrl: './logout.component.html',
  styleUrls: ['./logout.component.css']
})
export class LogoutComponent implements OnInit {

  constructor(
    private authService: AuthorisationService,
    private router: Router,
    private oauthService: OAuthService

  ) {
 }

  ngOnInit() {
  }

  logout() {
    this.authService.logout();
    this.oauthService.logOut();
    this.authService.loggedInAuthZ$.subscribe(() => this.router.navigate(['/login']));
  }

}
