import { Component, OnInit, AfterViewInit, OnDestroy } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { filter } from 'rxjs/operators'
import { AuthorisationService } from '../authorisation.service';
import { SettingsService } from '../settings.service';

@Component({
  selector: 'app-keygen',
  templateUrl: './keygen.component.html',
  styleUrls: ['./keygen.component.css']
})
export class KeygenComponent implements OnInit, OnDestroy {

//  private keygenWorker: Worker

  constructor(private route: ActivatedRoute, 
    private authService: AuthorisationService,
    private router: Router,
    private settingsService: SettingsService)
  { 

  }

  ngOnInit() {
    console.log('entered keygen component',this.settingsService.theme$.value);
    //this.initPipelines();
    console.log(this.router.url);
    if (this.router.url == "callback") {
      console.log('in OIDC callback')
    } else {
      console.log('updating fragment',this.router.url);
      this.route.fragment.pipe(filter((v) => ( v !== null && v !== undefined )),
                               filter((v) => this.sshauthz_token(v))
      ).subscribe((v) => { console.log('keygen is updating fragment',v) ; this.authService.updateFragment(v)});
    }
  }

  sshauthz_token(v: string) {
    let tokenmatch = null;
    let statematch = null;
    let openid = null;
    tokenmatch = v.match(/access_token\=([^&]+)(&|$)/);
    statematch = v.match(/state\=([^&]+)(&|$)/);
    openid = v.match(/openid/);
    return (openid === null);
  }
  ngOnDestroy() {
    //this.keygenWorker.terminate()
  }
 
  }
